Bug 1878953 - RBAC error shows when normal user access pvc upload page
Summary: RBAC error shows when normal user access pvc upload page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-15 03:25 UTC by Guohua Ouyang
Modified: 2021-02-24 15:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:17:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
rbac error (166.52 KB, image/png)
2020-09-15 03:25 UTC, Guohua Ouyang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7685 0 None closed Bug 1878953: Fix RBAC with upload form and golden images 2021-02-01 11:04:22 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:18:22 UTC

Description Guohua Ouyang 2020-09-15 03:25:43 UTC
Created attachment 1714877 [details]
rbac error

Description of problem:
Login with normal user 'test' and create a project 'test' for it. 
Navigate to Storage -> PVC -> 'With data upload form', bellow errors shows.
'persistentvolumeclaims is forbidden: User "test" cannot list resource "persistentvolumeclaims" in API group "" in the namespace "openshift-kubevirt-base-images"'

Version-Release number of selected component (if applicable):
v4.6.0-202009031349.p0-dirty

How reproducible:
100%

Steps to Reproduce:
1. Login with normal user 'test' and create a project 'test' for it. 
2. Navigate to Storage -> PVC -> 'With data upload form', bellow errors shows.
3.

Actual results:


Expected results:
Such error should not show as user is on 'test' ns, not on 'openshift-kubevirt-base-images'.

Additional info:

Comment 2 Gilad Lekner 2020-12-29 12:15:43 UTC
this error occurs because the form tries to fetch the golden image PVCs which are in 'openshift-kubevirt-base-images'
We can either disable the golden checkbox for such users, or keep the error as is.

wdyt?

Comment 3 Guohua Ouyang 2021-01-04 02:44:19 UTC
(In reply to Gilad Lekner from comment #2)
> this error occurs because the form tries to fetch the golden image PVCs
> which are in 'openshift-kubevirt-base-images'
> We can either disable the golden checkbox for such users, or keep the error
> as is.
> 
> wdyt?

Sorry for the late response, I prefer to disable the golden checkbox and make the error disappearing.

Comment 7 errata-xmlrpc 2021-02-24 15:17:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.